GoogleMaps-SP

7.2.0

Swift Package for Google Maps iOS SDK
YAtechnologies/GoogleMaps-SP

What's New

Version 7.2.0

2022-11-21T19:27:00Z

Contains:

  • Google Maps SDK version 7.2.0
  • Google Places SDK version 7.2.0

Google Maps Swift Package

Requirements

Installation

  • Add the following dependency to your project's Package.swift.
dependencies: [
    .package(url: "https://github.com/YAtechnologies/GoogleMaps-SP.git", .upToNextMinor(from: "7.1.0"))
]

Known Issues

  • If you use a Google Maps Swift package in an app with extensions, the build system incorrectly embeds the binary dependencies alongside the extension in the PlugIns directory, causing validation of the archived app to fail. (69834549) (FB8761306)

    Workaround: Add a scheme post-build action which removes the embedded binaries from the PlugIns directory after the build, e.g. rm -rf "${TARGET_BUILD_DIR}/${TARGET_NAME}.app"/PlugIns/*.framework.

Sponsor

If you find this package useful please consider STARRING 🌟 this repository.

License

The Google Maps iOS SDK and Google Places iOS SDK libraries are the property of Google and are subject to Google's Terms of Service. See LICENSE.google for details.

Description

  • Swift Tools 5.3.0
View More Packages from this Author

Dependencies

  • None
Last updated: Wed Feb 01 2023 06:45:37 GMT-0500 (GMT-05:00)